Subject: Re: bug#43754: [PATCH] configure help message of --with-json

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Oct 2020 18:06:41 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 02 Oct 2020 16:28:38 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Any reason why we use OPTION_DEFAULT_IFAVAILABLE for json, and not
> > OPTION_DEFAULT_ON?  How is it different from libpng or liblcms2 or
> > libgnutls?
> 
> I wonder whether it's because of this:
> 
> case $with_gnutls,$HAVE_GNUTLS in
>   no,* | ifavailable,* | *,yes) ;;
>   *) MISSING="$MISSING gnutls"
>      WITH_IFAVAILABLE="$WITH_IFAVAILABLE --with-gnutls=ifavailable";;
> esac
> case $with_json,$HAVE_JSON in
>   no,* | ifavailable,* | *,yes) ;;
>   *) MISSING="$MISSING json"
>      WITH_IFAVAILABLE="$WITH_IFAVAILABLE --with-json=ifavailable";;
> esac

The $MISSING part is for telling the users some libraries they might
want were not available.  I'm saying that libjansson should be treated
the same as, say, libgnutls.

> But if I understand autoconf (and I do not), that shouldn't really
> "spread" to the OPTION_DEFAULT_ stuff, should it?

"Spread" in the sense that it should affect whether we use DEFAULT_ON
or DEFAULT_IFAVAILABLE?  No, I don't think so.